add baseline to a model
curl --request POST \
--url https://api.example.com/v3/baselines \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"env_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_time": 123,
"end_time": 123,
"offset_delta": 2
}
'import requests
url = "https://api.example.com/v3/baselines"
payload = {
"name": "<string>",
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"env_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_time": 123,
"end_time": 123,
"offset_delta": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
model_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
env_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
start_time: 123,
end_time: 123,
offset_delta: 2
})
};
fetch('https://api.example.com/v3/baselines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "3.0",
"kind": "NORMAL",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"row_count": 123,
"model": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"version": "<string>"
},
"project": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"organization": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"environment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"start_time": 123,
"end_time": 123,
"offset_delta": 2
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}Baselines
add baseline to a model
Adds a baseline to a model
POST
/
v3
/
baselines
add baseline to a model
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
A name describing the baseline
The unique identifier for the model associated with the baseline
The type of baseline, indicating whether it is STATIC or ROLLING.
Available options:
STATIC, ROLLING The environment type for the baseline, indicating whether it applies to production or pre-production environments.
Available options:
PRODUCTION, PRE_PRODUCTION Required when env_type is PRE_PRODUCTION
Start time in milliseconds from epoch for production data
End time in milliseconds from epoch for production data
x is offset delta for offset=x*window_bin_size
Required range:
x >= 1Window size to be used for relative baseline
Available options:
Hour, Day, Week, Month Response
successful baseline creation
Response object for standard API responses.
⌘I